Skip to contentSkip to navigationSkip to topbar
Page toolsOn this pageProducts used
Looking for more inspiration?Visit the

60369: Factor type invalid or not provided


ERROR: 60369

error-60369 page anchor
VERIFY
ERROR

This error occurs when you create a Verify Factor without a valid factorType in the request body. The /v2/Services/{ServiceSid}/Entities/{Identity}/Factors endpoint requires factorType. Use push or totp for this endpoint. If you are registering passkeys, use the Passkeys Factor resource instead.

Possible causes

possible-causes page anchor
  • The request body does not include the required factorType field.
  • The request includes an empty or unsupported factorType value for the standard Factor resource.
  • The request is trying to register a passkey by using the standard Factor endpoint instead of the Passkeys Factor endpoint.
  • Add factorType to the request body and set it to a valid value for the standard Factor resource, such as push or totp.
  • If you are creating a passkey factor, send the request to /v2/Services/{ServiceSid}/Passkeys/Factors instead of /v2/Services/{ServiceSid}/Entities/{Identity}/Factors.
  • If you are creating a push factor, make sure the request includes the push-specific fields required for that factor type, including binding.publicKey, config.appId, config.notificationToken, and config.sdkVersion.
  • If you are creating a TOTP factor, follow the TOTP factor creation flow and include factorType with friendlyName. Add TOTP configuration fields only when you need to override the defaults.

Additional resources

additional-resources page anchor